package com.example.TreballFiGrau;

import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.text.method.ScrollingMovementMethod;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;


public class LlegirNoticiaContingut extends Fragment {
	ViewGroup rootView;
	TextView titolNoticia;
	TextView contingutNoticia;
	Button foto;
	Button video;
	
	@Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,Bundle savedInstanceState){
		Log.d("aki", "contingut");	
		rootView = (ViewGroup) inflater.inflate(R.layout.llegir_noticia_contingut, container, false);

		//Button sendButton = (Button) rootView.findViewById(R.id.titolNoticia);
		Log.d("aki", "contingut");	
    	titolNoticia = (TextView) rootView.findViewById(R.id.textViewLlegirTitolQ);
    	titolNoticia.setMaxWidth(titolNoticia.getWidth());
    	titolNoticia.setText(NoticiaSeleccionada.titol);
    	titolNoticia.setMovementMethod(new ScrollingMovementMethod());
    	
    	contingutNoticia = (TextView) rootView.findViewById(R.id.textViewLlegirContingutQ);
    	contingutNoticia.setMaxWidth(contingutNoticia.getWidth());
    	contingutNoticia.setText(NoticiaSeleccionada.contingut);
    	contingutNoticia.setMovementMethod(new ScrollingMovementMethod());
    	
    	listeners();
    	return rootView;
   

    }
	
	public void listeners(){
		foto = (Button) rootView.findViewById(R.id.buttonLlegirFoto);
		foto.setOnClickListener(new View.OnClickListener() {
	        public void onClick(View v) {
	        	Log.d("aki", "fotos contingut: "+NoticiaSeleccionada.fotos);
	        	Log.d("aki", "fotos size: "+NoticiaSeleccionada.videos.size());
	        	Log.d("aki", "contingut: "+NoticiaSeleccionada.fotos.get(0));
	        	
                if(!NoticiaSeleccionada.fotos.get(0).equals("")){
                	Intent intent = new Intent(rootView.getContext(), LlegirNoticiaFotos.class);
                    startActivity(intent);
    		    }else{
    	        	CharSequence texto = "La noticia no te fotos a mostrar";
    	            Toast toast;
    	        	toast = Toast.makeText(getActivity(), texto, Toast.LENGTH_LONG);
    	            toast.setDuration(100000);
    	            toast.show();
    	        }
	    
	        	
	        }
		}); 
		
		video = (Button) rootView.findViewById(R.id.buttonLlegirVideo);
		video.setOnClickListener(new View.OnClickListener() {
	        public void onClick(View v) {
	        	Log.d("aki", "videos contingut: "+NoticiaSeleccionada.videos);
	        	Log.d("aki", "videos size: "+NoticiaSeleccionada.videos.size());
	        	Log.d("aki", "contingut: "+NoticiaSeleccionada.videos.get(0));
	        	
	        	if(!NoticiaSeleccionada.videos.get(0).equals("")){
		        	Intent intent = new Intent(rootView.getContext(), LlegirNoticiaVideos.class);
	                startActivity(intent);
		        }else{
	        		CharSequence texto = "La noticia no te videos a mostrar";
	            	Toast toast;
	        		toast = Toast.makeText(getActivity(), texto, Toast.LENGTH_LONG);
	                toast.setDuration(100000);
	                toast.show();
	        	}
	    
	        	
	        }
		}); 
	}
}
